2021-09-18 00:30 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0003676Intact[All Projects] Generalpublic2020-04-19 22:57
ReporterMarkG 
Assigned ToCFOUProject InfoIntact (Sphinx Software/Grandslam)
http://www.whdload.de/games/Intact.html
 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Summary0003676: game loads to title page fine, but soon as start playing the screen messes up
DescriptionGameVersion: pre-installed version from retroplay's cloud, pal 1 disc 1.5MB slave
SlaveVersion: 1.0 from 20.05.2000

game loads to title page fine, but soon as start playing the screen messes up and very hard to play game as screen switches off/on and shakes badly turning to black & white almost like its trying to display ntsc mode, have tried many tooltypes nocache nommu etc. one you get game over the game returns to title page and all is okay again, so its only messed up ingame. hope you can find the fault.
sadly i have no way of transfering any files from my amiga to pc to upload anything. and i only have a Amiga CD reading drive which is how i get stuff onto my amiga
TagsNo tags attached.
MachineA1200
CPUApollo
CPUSpeed40
ChipSetAGA
GFXCardNone
ChipMem2 MB
FastMem32 MB
WorkbenchOS 3.9
KickROM40 - Kick 3.1
KickSoftNone
WHDLoad18.3
importedyes
Attached Files

-Relationships
+Relationships

-Notes

note ~0008215

CFOU (developer)

can you test attached beta patch?

planed try to use fast memory instead of chip for extended memory

note ~0008218

MarkG (reporter)

extracted all files over the old files and its same, game loads fine, press fire to play, loading game disc comes up (dont think this did before), but soon as ingame screen starts, screen its switching on/off and messed up unable to see whats going on properly, soon as lives gone, it returns to title screen and all is fine again

note ~0008219

CFOU (developer)

have you try with nocache tooltype?

note ~0008222

CFOU (developer)

Can you try last beta 2?
only 512 ko of chip
extra memory in fast memory now

https://wetransfer.com/downloads/7ac99bae849e744f92ec9306d2f86d1020200417031254/303f1a29e6a72e4e3a9836a2be361c8220200417031319/96c990

note ~0008223

CFOU (developer)

can you try attached beta 4?

All interupt code fixed (missing lea $dff000,a0)
=>randow crash exiting game or during OS swap

note ~0008225

MarkG (reporter)

tried beta 4. yes icon has the nocache tooltype on. still same screen messes up soon as it goes into game. lives gone returns to title page all looks fine again

i presume you cannot replicate the problem i am seeing. must be something thats only affecting my setup, unless there is some sort of protection checks you are overlooking hidden in code

as in original post, only way to get file from here to my amiga is by burning a cd. wasting alot of cds for a 16k beta file.. i cannot install from my original floppy as it got infected with a bootblock virus which made game unusable, which is why i installed the preinstalled version. my amiga is connected to a modern smart tv via cables, but this is only game where the screen probs appear so dont think that is problem

thanks for all your efforts, it may have to stay as a game i cant play anymore

note ~0008227

CFOU (developer)

i can provide to you original bootblock so you can install to restore your disk erasing the virus if you want (there are many tools on aminet to install an bootblock.

it's not checksum because i can play on all my configuration (blizzard 030 & 060) on winuae

PS: replace you CD by and IDE compact flash (you can have an amovible IDE device (supported by winaue for file transfert on real amiga it's really quick ...)

what is you exact configuration (with memory type?)

note ~0008228

StingRay (developer)

Last edited: 2020-04-17 14:46

View 2 revisions

@CFOU: I had a quick look and there is a move.w #$5,$84(a0) at $52C76 which in turn means copperlist 2 pointer is trashed which, most likely, causes the problem. It definitely needs to be fixed.

note ~0008231

MarkG (reporter)

i have no idea where the floppy disc is probaly in a box in storage somewhere.

as for replacing cd drive, not gonna happen, not willing to spend money on amiga hardware anymore.

Standard A1200 (my original from 20+ years aga), with...
 Apollo ZorroII card, Clock battery replaced 2019
 32MB Fast Ram, 2Mb Chip
 CPU: 68030 42.60 Mhz FPU: 68882 MMU: 68039 (not in use)
 IDE internatl 3.5inch 4GB harddrive
 Scsi Squirrel CD Crive
 Kickstart 39.106, Workbench 40.42, Setpatch 43.6

note ~0008240

CFOU (developer)

i can not understand works perfectly on several winuae configurations

more oer on my real a1200 +020 (without blizzard) and with my both amiga with blizzard 060 & 030 it's works fine i try 3 first level3

attached last beta 5 with trainer + second button support for both players

what is your memory configuration (with start adresses)

@Stingray
i will look for that

again interupt to fix use USER cpu mode value for A0 register.
It must be all time vith value to DFF000 because not initialised in interupt codes.
Lea DFF000,a0 already added but missing to replace some:
movem d0-D1/a1 by movem d0-d1/d0-a1 for all interupt code by example

note ~0008244

CFOU (developer)

attached beta 7
@Stingray
normaly no trouble because already fixed because i wrote:
move.l #$50060,$dff084
lea $dff000,a0
before:
move.w #5,$84(a0)...
but i remove it (not used)

with beta 7 all interupt code are fixed:
- lea dff000,a0 inserted
- Movem.l xx/a0,-(a7) & Movem.l (a7)+,xx/a0 inserted

note ~0008251

MarkG (reporter)

tried beta7, still no joy, another wasted cd to collecton, gonna run out of cd's soon. time to give up the ghost i think

note ~0008253

CFOU (developer)

why don't you use rewritable CDs?

note ~0008254

StingRay (developer)

Last edited: 2020-04-17 21:19

View 2 revisions

@CFOU: I tried beta 7 and the copperlist problem still exists there, Copperlist 2 ptr points to $50000 but there is no valid copper data there. This my lead to certain unexpected problems so the move.w #5,$84(a0) needs to be fixed to point to a valid copperlist (maybe a move.l #-2,$50000 might do the trick).

note ~0008259

CFOU (developer)

@Stingray i dont understand

i was removed by $6004, i will verify at $52c76
second copper list is at $50060

@MarkG
Can you see following picture before gfx but after to have launch game pressing 1/2 or joy faire?
https://imgur.com/9eb8RVx

if yes but shortly before GFX bug can you try with Intact1MO.slave (no loading all data preloaded in intro)?

note ~0008260

CFOU (developer)

Last edited: 2020-04-17 22:39

View 2 revisions

@MarkG


i think i found your problem.

obosete code with SR modification when track was loaded are removed.
now game launch withou PRELOAD tooltype

Attached Beta8

@Stingray
have you same problem?
if yes, can you test last version?

note ~0008262

MarkG (reporter)

the image you posted before, yes i see the disc loading screen but dont remember all those character thingies on right of the disc.

will try beta 8 later. as for why not using cd-rw's, for some reason the amiga cd drive will not recognise them, just thinks there is no disc in drive.

note ~0008264

MarkG (reporter)

nope beta 8 is worse, no info files in latest beta, renamed old ones to match the slave files in beta
now black intact logo screem with grandslam logo, turns blue after few secs, when seems to be a buttonwait function active even tho no tooltype, it turns green after pressing a button, and goes to loading bar screen, then freezes again when bar ends, press button again and it goes to title page, pressing joytick button or 1 to start 1 player game, and its messed up ingame as before

note ~0008265

CFOU (developer)

Last edited: 2020-04-18 00:07

View 3 revisions

just click on Left Mouse button at each colored screen!!!

It's debug pause not removed by error ;)

2 colors before intro

Yellow pause after intro before launch title screen!

can you test again but clicking on LMB at 3 color pause?

note ~0008268

MarkG (reporter)

yep clicked mouse at each colour pause, still messed up once get into game after the disc loading screen with the creatures coming out of the disc, same as before once lives lost and continue game countdown ends (yep i can see these between screen mess, like i said its like its changing ntsc or something black and white sometimes, others time black screen, no signal pops up on tv before screen comes back black and white and shaking screen unplayble like that) it returns to title page and screen display is fine again

note ~0008271

MarkG (reporter)

just saw your post about my memory details with addresses

according to sysinfo

2MB CHIP RAM at 00000400
16MB Fast RAM at 01000000
16MB Fast Ram at 03000000

note ~0008272

CFOU (developer)

have you possibility to post video ? to help

normaly when you have countdown, you have just to ckick on FIRE button to restart current level.

it's curious i my memory i have see it one or too time entering in monitor!!

i will try to reproduct it and try to understand the cause (perhaps some self-modying code not patched

note ~0008273

MarkG (reporter)

sadly no. i can transfer to amiga, but not from it. never used or wanted to use winuae or other emulators on pc, i presume your original installer works on winuae.

plenty of other shooters i can play on my amiga :)

note ~0008274

CFOU (developer)

1 )can you make a short video from the title screen using a mobile phone and send me a WeTransfert link?

2)Have you tested the slave 'intact-1Mo.slave' to compare (all levels are preloaded)

note ~0008284

MarkG (reporter)

i dont have a mobile phone, so no

i tried all 3 slaves all same get to title screen and see disc on starting game, but screen messes up in game.

only visable changes your beta's have done are adding the debug pauses on loading game

note ~0008287

CFOU (developer)

it's not SMC pb.

i can play with cache (after to add 4 anothers blitters delays in game) on 68060.

i continue to investigate...

but it's difficult when you can't reproduct bug or see the problem... it's specific to you configuration perhpas apolo 040 board

I will try to found another owner of apolo board to compare....

note ~0008290

MarkG (reporter)

managed to may a video with my laptop camera, where do i send it

note ~0008292

StingRay (developer)

@CFOU: The copperlist problem is fixed in beta 8. Looking at Mark's video I would first check if the MaxTransfer settings are OK. Copy all patch files to RAM: and play from there. If the problem is not present then, it's a MaxTransfer problem.

note ~0008294

CFOU (developer)

@StingRay

I am not sure.

if you look wideo, there are vertical wave at the left border of the screen

perhaps a scandoubler problem with this game?

@MarkG
1) can you try Stingray test (launch game copyed in "ram:")
2)Have you a scandoubler?
3)What is your montinor?
4)if not, How monitor is connected to the amiga?

note ~0008296

MarkG (reporter)

to be honest the game looks playable in the video, but it looks more shaky IRL

tried copying intact folder to ram, run from there same screen problems

no scandoubler
running on a tv Polaroid 32inch HD ready LEDTV
connected from amiga to tv via the yellow/white/red wires (not sure name of them)

note ~0008297

MarkG (reporter)

doubt its tv problem as no other whdload games have same problem as far as in games i have tried, played battle squadron, turrican and lots of others on same setup

note ~0008299

StingRay (developer)

Last edited: 2020-04-18 17:34

View 2 revisions

@CFOU: As the MaxTransfer has been ruled out as the cause of the problem next things I'd check would be DDFSTRT/STOP settings, there might be OCS only values used. What makes me wonder though is that this problem apparently only happens on Mark's machine. But it must be copperlist related, I'm 99,9% sure of that.

note ~0008300

MarkG (reporter)

there must be something where it starts game, as screens fine loading and on title page

note ~0008301

CFOU (developer)

Last edited: 2020-04-18 18:52

View 2 revisions

@Stingray

Irek have just tested game on both 040 configurations with success.

is not 040 problem...

I already test game with SNOOPOCS and its works fine on real a4000 & a1200

in game DMA register value:
$8e = $2c81
$90 = $f4c1
$92 = $38
$94 = $d0
$104 = $ff
$106 = $c40
$108 = $2
$10a = $2
$10c = $11
$1DC = 0 (no $20 for NTSC MarkG)

note ~0008302

CFOU (developer)

Irek's answer:
"Yes, I just tried it on my Apollo 1240/16 MB. On the first try I had gfx verticall problems at the intro and game (after the yellow screen color). After the reset, the game ran again without additional options, so I can say that the game works well on an Apollo too. :)"

note ~0008303

CFOU (developer)

Perhaps some DMA registers not initialised by game!

@MarkG

1) Can you try with following tooltype?
EXPERT
SNOOP
DebugKey=$5f

but before you can add in S:WHDLOAD.prefs
CoreDumpPath=T:

2) launch game
3) leave game pressing HELP key ($5f) to create a dump file when you have GFX bugs

you knox you can not send to me an amiga file but
can you send to me a PHOTO of the registers file created?
you can found it in
ram:t/.whdl_register (if CoreDumpPath define as T:)
or of course T:.whdlçregister

attached an example of needed photo;)

note ~0008304

MarkG (reporter)

my apollo is 68030

note ~0008305

CFOU (developer)

@MarkG
i tested on Blizzard 030 so in not 680030 issue...

note ~0008306

Irek (reporter)

@MarkG do you have your CD drive in your Amiga Desktop 1200 without additional power supply?
If that is the case, it may be that your Apollo card is causing problems that require a lot of power. Turn off your cd rom and try to restart the game from RAM folder.

note ~0008308

MarkG (reporter)

is that 3 separate tooltypes?

when i add em on 3 lines, computer crashes when i click game icon

note ~0008309

MarkG (reporter)

CD Drive has its only power supply, but cd drive is off unless i am using it to copy files from cd to amiga

note ~0008310

MarkG (reporter)

SNOOP tooltype is crashing amiga, ie freezes

note ~0008311

Irek (reporter)

My recommendation would be: disconnect the cable connection from your CD ROM and the Amiga board. And try to start the game from RAM folder. You can use your pre-installed version 1.0 with an older version of WHDload. I'm almost sure this can help. ;)

note ~0008314

CFOU (developer)

@MarkG
on 030 you need at MMU tooltype too (no on 040)

see attached example for correct tooltypes for SNOOP support on 030.

but warning not all 68030 have MMU...

I don't now if appolo 030 had MMU

MMU is needed for SNOOP option

best regards

note ~0008316

StingRay (developer)

Last edited: 2020-04-18 21:55

View 2 revisions

@CFOU: I didn't even mention anything regarding this being a 040 problem?

I have checked the DMA values you mentioned and the BPLCON2 settings ($ff) are wrong and need to be fixed, set it to $3f. May or may not fix the problem but it still is a bug.

note ~0008317

MarkG (reporter)

@CFOU
ok no MMU on my board it seems. so cant do snoop

@Irek
Removed squirrelscsi card from card slot, tried game from ram, no difference

note ~0008318

CFOU (developer)

@Stingray, i will try to fix it BPLCON2 tommorow...

i will verify if BPLCON2 is to $ff in title screen to compare (indeed MArkD have no problem on Title screen

note ~0008319

MarkG (reporter)

Ruled out it being the apollo 1230 MKII card, just removed card. and tried the nofast.slave. it takes ages with flashing on/off sceeen while loading all the data, but when game gets to start page and press 1 or joystick to start game it messes up same as in my video

note ~0008320

MarkG (reporter)

does the game require any specific external system libraries etc that are not included in the installer. i would imagine as my workbench is very ancient versions if any have been upgraded in the last 15 years

note ~0008321

CFOU (developer)

@MArkG

no libray used by game, it must be a DMA register problem.

but i don't understand why you are the only one with the problem...

note ~0008322

MarkG (reporter)

it is strange my sysyem has a problem with this game, sorry for causing you such a pain with this game. just about sums me up i am a problem :)

used to love playing this game on my a500 back in the 90's and on a degraded a1200 from disc.

note ~0008333

CFOU (developer)

After verification BPLCON2 is to $0000 in title screen and $00ff in game

beta9 fix to $003f BPLCON2 in game

@Stingray
for information game copperlist and game main interuptinitialised at: $5524e

no another idea for the moment...

note ~0008336

MarkG (reporter)

Succees :)

tried beta 9 game plays now on my system. there are a few squelches in the in game music now and then, but i can live with that, at least i can play it now, thanks very much for your effors and your helper stingray with some hints

will try some tooltypes nocache etc see if that fixes in game music

thx again

note ~0008338

CFOU (developer)

Last edited: 2020-04-19 22:57

View 2 revisions

great.

@Stingray
thank Stingray, I would never think BPLCON2 could cause trouble on some confugirations and not anothers...

+Notes

-Issue History
Date Modified Username Field Change
2017-04-17 13:32 administrator New Issue
2017-04-17 13:32 administrator Status new => assigned
2017-04-17 13:32 administrator Assigned To => CFOU
2020-04-17 01:35 CFOU File Added: intact-beta.lha
2020-04-17 01:35 CFOU Note Added: 0008215
2020-04-17 02:40 MarkG Note Added: 0008218
2020-04-17 04:51 CFOU Note Added: 0008219
2020-04-17 05:15 CFOU Note Added: 0008222
2020-04-17 06:11 CFOU File Added: IntactBeta4.lha
2020-04-17 06:11 CFOU Note Added: 0008223
2020-04-17 11:44 MarkG Note Added: 0008225
2020-04-17 13:26 CFOU Note Added: 0008227
2020-04-17 14:45 StingRay Note Added: 0008228
2020-04-17 14:46 StingRay Note Edited: 0008228 View Revisions
2020-04-17 15:49 MarkG Note Added: 0008231
2020-04-17 19:05 CFOU File Added: Intact-beta5.lha
2020-04-17 19:05 CFOU Note Added: 0008240
2020-04-17 19:49 CFOU File Added: intact-beta7.lha
2020-04-17 19:49 CFOU Note Added: 0008244
2020-04-17 20:28 MarkG Note Added: 0008251
2020-04-17 20:39 CFOU Note Added: 0008253
2020-04-17 21:18 StingRay Note Added: 0008254
2020-04-17 21:19 StingRay Note Edited: 0008254 View Revisions
2020-04-17 22:18 CFOU Note Added: 0008259
2020-04-17 22:39 CFOU File Added: Intact-beta8.lha
2020-04-17 22:39 CFOU Note Added: 0008260
2020-04-17 22:39 CFOU Note Edited: 0008260 View Revisions
2020-04-17 22:47 MarkG Note Added: 0008262
2020-04-17 23:47 MarkG Note Added: 0008264
2020-04-18 00:03 CFOU Note Added: 0008265
2020-04-18 00:04 CFOU Note Edited: 0008265 View Revisions
2020-04-18 00:07 CFOU Note Edited: 0008265 View Revisions
2020-04-18 00:31 MarkG Note Added: 0008268
2020-04-18 01:44 MarkG Note Added: 0008271
2020-04-18 01:47 CFOU Note Added: 0008272
2020-04-18 02:03 MarkG Note Added: 0008273
2020-04-18 02:32 CFOU Note Added: 0008274
2020-04-18 12:20 MarkG Note Added: 0008284
2020-04-18 13:05 CFOU Note Added: 0008287
2020-04-18 14:33 MarkG Note Added: 0008290
2020-04-18 15:08 StingRay Note Added: 0008292
2020-04-18 16:07 CFOU Note Added: 0008294
2020-04-18 16:25 MarkG Note Added: 0008296
2020-04-18 16:29 MarkG Note Added: 0008297
2020-04-18 17:33 StingRay Note Added: 0008299
2020-04-18 17:34 StingRay Note Edited: 0008299 View Revisions
2020-04-18 17:50 MarkG Note Added: 0008300
2020-04-18 18:51 CFOU Note Added: 0008301
2020-04-18 18:52 CFOU Note Edited: 0008301 View Revisions
2020-04-18 18:57 CFOU Note Added: 0008302
2020-04-18 19:12 CFOU File Added: Capture_LogDMAREgisters.PNG
2020-04-18 19:12 CFOU Note Added: 0008303
2020-04-18 19:16 MarkG Note Added: 0008304
2020-04-18 19:23 CFOU Note Added: 0008305
2020-04-18 19:30 Irek Note Added: 0008306
2020-04-18 19:35 MarkG Note Added: 0008308
2020-04-18 19:44 MarkG Note Added: 0008309
2020-04-18 19:44 MarkG Note Added: 0008310
2020-04-18 20:16 Irek Note Added: 0008311
2020-04-18 20:47 CFOU File Added: SnoopMMUTooltypes.PNG
2020-04-18 20:47 CFOU Note Added: 0008314
2020-04-18 21:53 StingRay Note Added: 0008316
2020-04-18 21:55 StingRay Note Edited: 0008316 View Revisions
2020-04-18 22:02 MarkG Note Added: 0008317
2020-04-18 22:06 CFOU Note Added: 0008318
2020-04-18 22:23 MarkG Note Added: 0008319
2020-04-18 22:28 MarkG Note Added: 0008320
2020-04-18 22:43 CFOU Note Added: 0008321
2020-04-18 23:06 MarkG Note Added: 0008322
2020-04-19 20:48 CFOU File Added: Intact-beta9.lha
2020-04-19 20:48 CFOU Note Added: 0008333
2020-04-19 21:44 MarkG Note Added: 0008336
2020-04-19 22:39 CFOU Status assigned => closed
2020-04-19 22:39 CFOU Resolution open => fixed
2020-04-19 22:39 CFOU Note Added: 0008338
2020-04-19 22:57 CFOU Note Edited: 0008338 View Revisions
+Issue History